$(function(){
	
	

	$(document).on('click', '.payment_method_title:not(.active)', function() {	
		$(".payment_method_body").slideUp();
		$(".payment_method_title").removeClass("active");
		$(this).next(".payment_method_body").slideDown();
		$(this).addClass("active");
		$("#payment_method_field").val($(this).attr("payment_method"));
		$(".payment_input").val("");
		$("#payment_number_field").val("");
		
		$('html, body').animate({
			scrollTop: $(this).offset().top -20
		}, 500);
		
	});
	
	
	$(document).on('click', '.payment_method_title.active', function() {	
		$(".payment_method_body").slideUp();
		$(this).removeClass("active");
	});
	
	
	
	$(".payment_input").keyup(function(){
		$("#payment_number_field").val($(this).val());
	});
	
	
shipping_total=$("#total_shipping_cur").text();
//alert("S");

$(document).on('click', '.buy_product', function() {
		
		
if($.isNumeric($(this).prev().find(".quantity").text()) && $(this).prev().find(".quantity").text() !=0){
		
	$("#cart_button").css("background","url(../img/cart_btn1.png) no-repeat");	


$.post(website_url+"/"+"ajax_add_product_cart.php",
{
	
"product_id":$(this).attr("product_id"),
"product_title":$(this).attr("product_title"),
"product_type":$(this).attr("product_type"),
"quantity":1
},
function(data,status){
alert(data);

	if(data=='done'){
	
	
	
	$(".sp-modal_content").show();
	$(".sp-modal_overlay").show();
		
	}
}).success(function(){


	
});


$(this).attr("disabled","disabled");
$(".checkout_alert").fadeIn(1000);
	
}else{
	
	alert("Enter The Quantity Correctly");
}	
	
});


$(".buy_course").on('click',function(){
		
		
if($.isNumeric($(this).prev().find(".quantity").text()) && $(this).prev().find(".quantity").text() !=0){
		
	$("#cart_button").css("background","url(../img/cart_btn1.png) no-repeat");	


$.post(website_url+"/"+"ajax_add_course_cart.php",
{
	
"product_id":$(this).attr("product_id"),
"product_title":$(this).attr("product_title"),
"product_type":$(this).attr("product_type"),
"quantity":1
},
function(data,status){
alert(data);

	if(data=='done'){
	
	
		
	$(".sp-modal_content").show();
	$(".offcanvas-overlay").addClass('active');
		
	}
}).success(function(){


	
});


$(this).attr("disabled","disabled");
$(".checkout_alert").fadeIn(1000);
	
}else{
	
	alert("Enter The Quantity Correctly");
}	
	
});




$("#browsing").on('click',function(){
	
	$(".sp-modal_content").hide();
	$(".offcanvas-overlay").removeClass('active');

});



$(".add_quantity").on('click',function(){

$(this).next(".quantity").text(parseInt($(this).next().text())+1);
	
});

$(".remove_quantity").on('click',function(){
if(parseInt($(this).prev().text())>1){
$(this).prev(".quantity").text(parseInt($(this).prev().text())-1);
}	
});




var shipping=$("#total_shipping_cur").text();
var quntaties_array={};	
$( ".quantity" ).each(function() {
quntaties_array[$(this).attr("product_id")]=$(this).text();	
});


$.each(quntaties_array, function(index, val) {
//alert(index+"="+val);
});



$("#browsing").on('click',function(){
	
	$(".sp-modal_content").hide();
	$(".sp-modal_overlay").hide();

});



$(".add_quantity").on('click',function(){
//alert($(this).prev().prev().parent().parent().next().find(".product_total_price").text());

	$(this).prev().prev().text(parseInt($(this).prev().prev().text())+1);
	$(this).prev().prev().parent().parent().next().find(".product_total_price").text(parseInt($(this).prev().prev().text())* parseFloat($(this).prev().prev().parent().parent().next().find(".product_total_price").attr("product_price")));
	
	shipping_total= parseFloat(shipping_total)+parseFloat($(this).prev().prev().parent().parent().next().find(".product_total_price").attr("product_shipping"));
	$("#total_shipping_cur").text(shipping_total);
	
	$.post(website_url+"/"+"ajax_edit_cart_quantity.php",
		{
			
		"product_id":$(this).attr("product_id"),
		"quantity":$(this).prev().prev().text()
		},
		function(data,status){
			alert(data);
			
		});
		

	alert($(this).parent().parent().parent().find(".product_total_price").attr("product_price"));
	price=parseFloat($("#total_price").text())+parseFloat($(this).parent().parent().parent().find(".product_total_price").attr("product_price"));
	alert(price);
	price_fixed=price.toFixed(2);
	$("#total_price").text(price_fixed);
	price_shipping=parseFloat(price_fixed)+parseFloat($("#total_shipping_cur").text());
	price_shipping_fixed=price_shipping.toFixed(2);
	
	//alert(price_shipping_fixed);
	$("#total_price_shipping").text(price_shipping_fixed);

	quntaties_array[$(this).attr("product_id")]++;
	$("#prod_"+$(this).attr("product_id")).val(quntaties_array[$(this).attr("product_id")]);
	//alert(quntaties_array[$(this).attr("product_id")]);
});

$(".remove_quantity").on('click',function(){
	if(parseInt($(this).prev().prev().prev().text())>1){
		$(this).prev().prev().prev().text(parseInt($(this).prev().prev().prev().text())-1);
		$(this).prev().prev().prev().parent().parent().next().find(".product_total_price").text(parseInt($(this).prev().prev().prev().text())* parseFloat($(this).prev().prev().prev().parent().parent().next().find(".product_total_price").attr("product_price")));
		
		shipping_total= parseFloat(shipping_total)-parseFloat($(this).prev().prev().prev().parent().parent().next().find(".product_total_price").attr("product_shipping"));
		$("#total_shipping_cur").text(shipping_total);
	
	
		$.post(website_url+"/"+"ajax_edit_cart_quantity.php",
		{
			
		"product_id":$(this).attr("product_id"),
		"quantity":$(this).prev().prev().prev().text()
		},
		function(data,status){
			alert(data);
			
		});
	
	
	
		price=parseFloat($("#total_price").text())-parseFloat($(this).prev().prev().prev().parent().parent().next().find(".product_total_price").attr("product_price"));
		price_fixed=price.toFixed(2);
		$("#total_price").text(price_fixed);
		
		price_shipping=parseFloat(price_fixed)+parseFloat($("#total_shipping_cur").text());
		price_shipping_fixed=price_shipping.toFixed(2);
		$("#total_price_shipping").text(price_shipping_fixed);

		
		
		quntaties_array[$(this).attr("product_id")]--;
		$("#prod_"+$(this).attr("product_id")).val(quntaties_array[$(this).attr("product_id")]);
		
		//alert(quntaties_array[$(this).attr("product_id")]);

	}	
});


$(".remove_product").on('click',function(){

//alert($(this).parent().parent().find(".product_total_price").attr("product_shipping"));
//alert($(this).parent().parent().find(".quantity").text());


$.post(website_url+"/"+"ajax_remove_product.php",
{
	
"product_id":$(this).attr("product_id")
},
function(data,status){
//alert(data);
	if(data=='done'){
	
	
		alert("تم حذف الخدمة من سلة الشراء");


	}else{
		alert("حدثت مشكلة");
		$(".check_row").html("<div style='font-size:20px;background:#fff;padding:40px;border:solid 1px #ccc;margin:50px auto' class='col-10 '><span style='color:#6610f2;font-size:22px;margin-bottom:30px;'>Your Cart Is Empty  <br> <a class='btn btn-danger' style='margin-top:20px;display:block;' href='"+ website_url  + "/services/0/services-categories'>Move To services</a></div>")	;
	
		
	}
}).success(function(){


	shipping_remove=parseFloat($(this).parent().parent().find(".product_total_price").attr("product_shipping"))*parseFloat($(this).parent().parent().find(".quantity").text());
	$("#total_shipping_cur").text(parseFloat($("#total_shipping_cur").text())-parseFloat(shipping_total));
	
});


//alert(quntaties_array[$(this).attr("product_id")]);
$(this).parent().parent().parent().hide();
//quntaties_array.splice(indexValueOfArray,$(this).attr("product_id"));
//quntaties_array.splice(quntaties_array.indexOf("def"), 1);
delete  quntaties_array[$(this).attr("product_id")];
//alert(quntaties_array[$(this).attr("product_id")]);

alert($("#total_price").text());
$("#total_price").text(parseFloat($("#total_price").text())-parseFloat($(this).parent().prev().find(".product_total_price").text()));
$("#total_price_shipping").text(parseFloat($("#total_price").text())+parseFloat($("#total_shipping_cur").text()));
	
});



$("#cityx").change(function(){


	shipping=$("#total_shipping_cur").text();
	
	if($(this).val()!=0){
		//alert($(this).next('span.btn').text());
		$("#price_title").text(parseInt($(this).find("option:selected").attr('price')) + " $");
		$("#total_shipping").text(" + "+ parseInt($(this).find("option:selected").attr('price')) + " $ (shipping Fees)");
		$("#total_price_shipping").text(parseFloat($("#total_price").text())+parseFloat($(this).find("option:selected").attr('price')));
	}else{
		$(this).next().text("Not Available");

		$(".sp-modal_content").show();
		$(".sp-modal_overlay").show();	
	}
	
	
});


footer_show=window_height-1000;
//alert(footer_show);
$(window).scroll(function(){
if(window_width>=900){
	
	if($(window).scrollTop()>=350 ){
	//$(".check_row.sticky-top").css({"position":"fixed","top":"50px" });
	}else{
	//$(".check_row.sticky-top").css({"position":"fixed","margin-left":"1%","top" : "50px" });

	}
}else{
	//$(".check_row.sticky-top").css({"position":"","margin-left":"1%" });
	
}

});

$(".field_val").hide();

$(".checkout_product").on('click',function(){
	$("#app_form").submit();

	if(err==0){
		$("#app_form")[0].dispatchEvent(new Event('submit'));

	}

});


$("#total_price_bottom").text($("#total_price").text());	
$("#total_shipping_bottom").text($("#total_shipping").text());
$("#total_price_shipping_bottom").text($("#total_price_shipping").text());
	
$("#total_price_shipping").bind("DOMSubtreeModified",function(){

alert("Z");
	$("#total_price_bottom").text($("#total_price").text());
	$("#total_shipping_bottom").text($("#total_shipping").text());
	$("#total_price_shipping_bottom").text($("#total_price_shipping").text() );

	});
	
	
	
	



});